=== debian/changelog ===
libfishcamp (1.2+20220607003151-4) unstable; urgency=medium

  * add cmake4.patch (Closes: #1125607)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Feb 2026 10:30:36 +0100

libfishcamp (1.2+20220607003151-3) unstable; urgency=medium

  * Mitigate /usr-move DEP17 P1 problems. (Closes: #1072730)
    + Manually move files instead of using dh-sequence-movetousr.
    + Upgrade Breaks to Conflicts.
   (thanks a lot to Helmut for the patch!)
   (Closes: #1072731 as well)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Sep 2024 18:30:36 +0200

libfishcamp (1.2+20220607003151-2) unstable; urgency=medium

  * upload to unstable
  * debian/control: add dependency for dh-sequence-movetousr
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Jun 2024 23:30:36 +0200

libfishcamp (1.2+20220607003151-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 00:28:59 +0000

libfishcamp (1.2+20220607003151-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6
  * new upstream version 1.2

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 00:32:02 +0000
