=== debian/control ===
Source: libfishcamp
Section: non-free/libs
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, zlib1g-dev
	, libindi-dev
Standards-Version: 4.7.3
Homepage: https://github.com/indilib/indi-3rdparty
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libfishcamp
Vcs-Git: https://salsa.debian.org/debian-astro-team/libfishcamp.git

Package: libfishcamp1t64
Provides: ${t64:Provides}
Replaces: libfishcamp1
Conflicts: libfishcamp1 (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for cameras made by Fishcamp Engineering
 This package contains a library for CCD cameras made
 by Fishcamp Engineering.
 .
 This package contains the library.

Package: libfishcamp-dev
Section: non-free/libdevel
Architecture: any
Depends: libfishcamp1t64 (= ${binary:Version}), ${misc:Depends}
Description: library for cameras made by Fishcamp Engineering - development files
 This package contains a library for CCD cameras made
 by Fishcamp Engineering.
 .
 This package contains the development files.
